org.apache.catalina.authenticator

## Class Constants

- java.lang.Object
- - org.apache.catalina.authenticator.Constants

    public class Constants
    extends Object

### Field Summary

Fields
`static String` `BASIC_METHOD` Deprecated. Replaced by HttpServletRequest.BASIC_AUTH
`static String` `CERT_METHOD` Deprecated. Replaced by HttpServletRequest.CLIENT_CERT_AUTH
`static String` `DEFAULT_JAAS_CONF`
`static String` `DEFAULT_KRB5_CONF`
`static String` `DEFAULT_LOGIN_MODULE_NAME`
`static String` `DIGEST_METHOD` Deprecated. Replaced by HttpServletRequest.DIGEST_AUTH
`static String` `FORM_ACTION`
`static String` `FORM_METHOD` Deprecated. Replaced by HttpServletRequest.FORM_AUTH
`static String` `FORM_PASSWORD`
`static String` `FORM_PRINCIPAL_NOTE` The previously authenticated principal (if caching is disabled).
`static String` `FORM_REQUEST_NOTE` The original request information, to which the user will be redirected if authentication succeeds.
`static String` `FORM_USERNAME`
`static String` `JAAS_CONF_PROPERTY`
`static String` `KRB5_CONF_PROPERTY`
`static String` `Package`
`static String` `REQ_SSOID_NOTE` The notes key to track the single-sign-on identity with which this request is associated.
`static String` `SESS_PASSWORD_NOTE` The notes key for the password used to authenticate this user.
`static String` `SESS_USERNAME_NOTE` The notes key for the username used to authenticate this user.
`static String` `SINGLE_SIGN_ON_COOKIE`
`static String` `SPNEGO_METHOD`
`static String` `USE_SUBJECT_CREDS_ONLY_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Package

    public static final String Package

See Also:
  Constant Field Values

#### BASIC_METHOD

    @Deprecated
    public static final String BASIC_METHOD

Deprecated. Replaced by HttpServletRequest.BASIC_AUTH

See Also:
  Constant Field Values

#### CERT_METHOD

    @Deprecated
    public static final String CERT_METHOD

Deprecated. Replaced by HttpServletRequest.CLIENT_CERT_AUTH

See Also:
  Constant Field Values

#### DIGEST_METHOD

    @Deprecated
    public static final String DIGEST_METHOD

Deprecated. Replaced by HttpServletRequest.DIGEST_AUTH

See Also:
  Constant Field Values

#### FORM_METHOD

    @Deprecated
    public static final String FORM_METHOD

Deprecated. Replaced by HttpServletRequest.FORM_AUTH

See Also:
  Constant Field Values

#### SPNEGO_METHOD

    public static final String SPNEGO_METHOD

See Also:
  Constant Field Values

#### FORM_ACTION

    public static final String FORM_ACTION

See Also:
  Constant Field Values

#### FORM_PASSWORD

    public static final String FORM_PASSWORD

See Also:
  Constant Field Values

#### FORM_USERNAME

    public static final String FORM_USERNAME

See Also:
  Constant Field Values

#### KRB5_CONF_PROPERTY

    public static final String KRB5_CONF_PROPERTY

See Also:
  Constant Field Values

#### DEFAULT_KRB5_CONF

    public static final String DEFAULT_KRB5_CONF

See Also:
  Constant Field Values

#### JAAS_CONF_PROPERTY

    public static final String JAAS_CONF_PROPERTY

See Also:
  Constant Field Values

#### DEFAULT_JAAS_CONF

    public static final String DEFAULT_JAAS_CONF

See Also:
  Constant Field Values

#### DEFAULT_LOGIN_MODULE_NAME

    public static final String DEFAULT_LOGIN_MODULE_NAME

See Also:
  Constant Field Values

#### USE_SUBJECT_CREDS_ONLY_PROPERTY

    public static final String USE_SUBJECT_CREDS_ONLY_PROPERTY

See Also:
  Constant Field Values

#### SINGLE_SIGN_ON_COOKIE

    public static final String SINGLE_SIGN_ON_COOKIE

#### REQ_SSOID_NOTE

    public static final String REQ_SSOID_NOTE

The notes key to track the single-sign-on identity with which this request is associated.

See Also:
  Constant Field Values

#### SESS_PASSWORD_NOTE

    public static final String SESS_PASSWORD_NOTE

The notes key for the password used to authenticate this user.

See Also:
  Constant Field Values

#### SESS_USERNAME_NOTE

    public static final String SESS_USERNAME_NOTE

The notes key for the username used to authenticate this user.

See Also:
  Constant Field Values

#### FORM_PRINCIPAL_NOTE

    public static final String FORM_PRINCIPAL_NOTE

The previously authenticated principal (if caching is disabled).

See Also:
  Constant Field Values

#### FORM_REQUEST_NOTE

    public static final String FORM_REQUEST_NOTE

The original request information, to which the user will be redirected if authentication succeeds.

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    public Constants()